Tool: fetch-repo-file-blame
Fetch blame information for a specific file in a Git repository.
The following code sample shows how to use curl to call the fetch-repo-file-blame MCP tool.
| Curl Request |
|---|
curl --location 'https://developerconnect.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "fetch-repo-file-blame", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for FetchGitRepositoryLinkFileBlame.
FetchGitRepositoryLinkFileBlameRequest
| JSON representation |
|---|
{ "name": string, "ref": string, "path": string, "firstLine": integer, "lastLine": integer } |
| Fields | |
|---|---|
name |
Required. The resource name of the GitRepositoryLink in the format |
ref |
Required. The SCM commit SHA, or symbolic revision (for example, branch name, tag) from which to fetch the blame. |
path |
Required. The file path within the repository. |
firstLine |
Optional. The 1-indexed starting line number of the range to blame (inclusive). If not specified, blame begins at line 1. |
lastLine |
Optional. The 1-indexed ending line number of the range to blame (inclusive). If not specified, blame extends to the end of the file. |
Output Schema
Response message for FetchGitRepositoryLinkFileBlame.
FetchGitRepositoryLinkFileBlameResponse
| JSON representation |
|---|
{
"ranges": [
{
object ( |
| Fields | |
|---|---|
ranges[] |
The list of blame ranges for the file. |
BlameRange
| JSON representation |
|---|
{
"firstLine": integer,
"lastLine": integer,
"commit": {
object ( |
| Fields | |
|---|---|
firstLine |
The 1-indexed starting line number of the range (inclusive). |
lastLine |
The 1-indexed ending line number of the range (inclusive). |
commit |
The commit metadata for this line range. |
SCMCommit
| JSON representation |
|---|
{ "sha": string, "message": string, "author": string, "authorEmail": string, "commitTime": string, "url": string } |
| Fields | |
|---|---|
sha |
Full 40-character SCM commit SHA. |
message |
Commit message text. |
author |
The author's display name. |
authorEmail |
The author's email address. |
commitTime |
Timestamp when the commit was authored. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
url |
The SCM provider's HTML URL link for this commit. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌